@echo off
rem * build.bat
rem *
rem * jRegistryKey - A JNI wrapper of the Windows Registry functions.
rem * Copyright (c) 2001, BEQ Technologies Inc.
rem * #205, 3132 Parsons Road
rem * Edmonton, Alberta
rem * T6N 1L6 Canada
rem * (780) 430-0056
rem * (780) 437-6121 (fax)
rem * http://www.beq.ca
rem *
rem * Original Author: Joe Robinson <joe@beq.ca>
rem *
rem * This library is free software; you can redistribute it and/or modify it
rem * under the terms of the GNU Lesser General Public License as published by the
rem * Free Software Foundation; either version 2.1 of the License, or (at your
rem * option) any later version.
rem *
rem * This library is distributed in the hope that it will be useful, but WITHOUT
rem * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
rem * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
rem * for more details.
rem *
rem * You should have received a copy of the GNU Lesser General Public License
rem * along with this library; if not, write to the Free Software Foundation, Inc.,
rem * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

rem Check for required environment variables environment variables
if not defined ANT_HOME echo ERROR: Environment variable ANT_HOME is undefined & goto :eof
if not defined JAVA_HOME echo ERROR: Environment variable JAVA_HOME is undefined & goto :eof

rem Build project
:main
   cls
   setlocal
   set LIB_HOME=lib
   call :classpath
    
   echo.
   %ANT_HOME%\bin\ant.bat %*
    
   endlocal
goto :eof

rem Clears the CLASSPATH environment variable, then rebuilds it adding the any and all 
rem jar files found in the BUILD\LIB and BUILD\BIN directories.  BUILD\LIB contains the
rem libraries required at compile-time to build the project; BUILD\BIN contains the
rem libraries required at run-time (and must therefore be distributed).
:classpath
   echo.
   echo classpath:
   echo      [echo] Reset
    
   set classpath=
   for %%1 in (%LIB_HOME%\*.jar) do call :addItem %%~fs1
goto :eof

rem Adds the specified jar file to the CLASSPATH environment variable.
:addItem
   echo      [echo] Added %~fs1
   set CLASSPATH=%CLASSPATH%;%~fs1
goto :eof
